Package org.opensaml.saml.metadata.resolver.impl

# Class HTTPEntityIDRequestURLBuilder

java.lang.Object
org.opensaml.saml.metadata.resolver.impl.HTTPEntityIDRequestURLBuilder

All Implemented Interfaces:
  `Function<CriteriaSet,String>`

public class HTTPEntityIDRequestURLBuilder extends Object implements Function<CriteriaSet,String>
Function which examines an entity ID from supplied criteria and returns it as a metadata request URL if and only if the entity ID is an HTTP or HTTPS URL.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Logger.

## Constructor Summary

Constructors
Constructor
Description
`HTTPEntityIDRequestURLBuilder()`

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(CriteriaSet criteria)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Logger.

## Constructor Details

### HTTPEntityIDRequestURLBuilder

public HTTPEntityIDRequestURLBuilder()

## Method Details

### apply

@Nullable public String apply(@Nullable CriteriaSet criteria)

Specified by:
  `apply` in interface `Function<CriteriaSet,String>`